## ros-indigo-concert-software-farmer 0.6.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(concert_software_farmer)

find_package(catkin REQUIRED)

catkin_python_setup()
catkin_package()

install(
  PROGRAMS
    scripts/software_farmer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/concert_software_farmer.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/concert_software_farmer.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/concert_software_farmer"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/concert_software_farmer"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-indigo-concert-software-farmer (0.6.11-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.10-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 27 Aug 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.9-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.8-1trusty) trusty; urgency=high

  * delete timeout exception and fix wrong timeout time
  * change variable name and adjusting release timeout
  * update releasing process when it is shutdown
  * delete dependency
  * fix lock
  * add dependency
  * fix return value in deallocate software
  * Contributors: dwlee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.7-1trusty) trusty; urgency=high

  * lock at allocation and release
  * parameter works #279 <https://github.com/robotics-in-concert/rocon_concert/issues/279>
  * expose exception for client #279 <https://github.com/robotics-in-concert/rocon_concert/issues/279>
  * fixes for parameter support #279 <https://github.com/robotics-in-concert/rocon_concert/issues/279>
  * support software parameter closes #279 <https://github.com/robotics-in-concert/rocon_concert/issues/279>
  * updates
  * updates
  * farmer doc working
  * in the middle of documentation
  * ready
  * doc init
  * Contributors: Jihoon Lee, dwlee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.6-1trusty) trusty; urgency=high

  * [rocon_concert] remove debugging prints.
  * Contributors: Daniel Stonier

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.5-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.4-1trusty) trusty; urgency=high

  * add package version software farmer
  * fix typo
  * add client library closes #264 <https://github.com/robotics-in-concert/rocon_concert/issues/264>
  * add client library
  * rename software_manager as software_farmer
  * Contributors: Jihoon Lee
  * add package version software farmer
  * fix typo
  * add client library closes #264 <https://github.com/robotics-in-concert/rocon_concert/issues/264>
  * add client library
  * rename software_manager as software_farmer
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.3-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 04 Jan 2015 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.2-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.1-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-indigo-concert-software-farmer (0.6.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-indigo-concert-software-farmer (0.5.5-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-concert-software-farmer (0.5.4-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 18 Jul 2013 15:00:00 -0000

ros-indigo-concert-software-farmer (0.5.3-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 16 Jul 2013 15:00:00 -0000

ros-indigo-concert-software-farmer (0.5.2-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 09 Jun 2013 15:00:00 -0000

ros-indigo-concert-software-farmer (0.5.1-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 02:46:00 -0000

ros-indigo-concert-software-farmer (0.5.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 27 May 2013 01:48:00 -0000

ros-indigo-concert-software-farmer (0.3.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-indigo-concert-software-farmer (0.2.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Thu, 31 Jan 2013 15:00:00 -0000

ros-indigo-concert-software-farmer (0.1.1-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-indigo-concert-software-farmer (0.1.0-1trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonlee.in@gmail.com>  Sun, 01 Apr 2012 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-concert-software-farmer
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonlee.in@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-indigo-catkin
Homepage: http://wiki.ros.org/concert_software_farmer
Standards-Version: 3.9.2

Package: ros-indigo-concert-software-farmer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-concert-msgs, ros-indigo-genpy, ros-indigo-rocon-python-comms, ros-indigo-rocon-python-utils, ros-indigo-rocon-std-msgs, ros-indigo-rospy
Description: Concert Software farm is to manage software being utilised across services

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-concert-software-farmer//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
